Latest topics

» Video from SF
by KurtTank Yesterday at 11:13 pm

» New & Updated Models(Нові Моделі)
by will73 Yesterday at 8:03 am

» STA(Steel Tank Add-on) 3.3 (Steel Fury)
by fercyful Yesterday at 1:06 am

» Mareșal tank destroyer (Hetzer)
by geoweb35 Sun Sep 23, 2018 8:37 am

» April 27 1945
by frinik Sun Sep 23, 2018 1:29 am

» Ukraine fights against enemy.
by lockie Sat Sep 22, 2018 7:35 pm

» Missions by Deviator (Місії ад Девіатора)
by Deviator Thu Sep 20, 2018 8:04 pm

» Screenshots funny and serious :)
by lockie Wed Sep 19, 2018 7:46 pm

» Armored Division "Ariete"
by lockie Wed Sep 19, 2018 7:44 pm

September 2018

MonTueWedThuFriSatSun
     12
3456789
10111213141516
17181920212223
24252627282930

Calendar Calendar


    Sorry ..... Help Required Please

    Share

    th006b1541

    Posts : 5
    Join date : 2018-05-14

    Sorry ..... Help Required Please

    Post by th006b1541 on Sat May 19, 2018 7:01 pm

    Hi all

    I have dug out my copy of Steel fury 1942 with a view to getting the STA 3.3.... having installed the base game to my C Drive (note separate folder not program files etc...) on running the game and going to the options screen I am met with the open dialog box that your system does not meet the minimum requirements 128MB graphic card etc...….

    This is despite trying to run it on a fair good spec laptop - i7 7700 (2.8ghz), 16mb ram, 8mb Nvidia 1070, running windows 10.

    I have followed a number of threads on the forum to try and overcome the issue all to no avail, checking and unchecking various dialog boxes...… I have even tried to use Nvidia control panel to set up a separate game profile to no avail and running in compatibility mode. Crying or Very sad Crying or Very sad

    I would apprecaite any help ...as I am keem to get STA 3.3 after seeing a number of Youtube videos and being a long time owner of other tank sims (Steel Beast PE etc...)


    Thanks in advance.
    avatar
    lockie
    TSF Member
    TSF Member

    Posts : 3959
    Join date : 2014-07-24
    Age : 51
    Location : Ukraine, Kyiv

    Re: Sorry ..... Help Required Please

    Post by lockie on Sat May 19, 2018 10:45 pm

    th006b1541 wrote: I am met with the open dialog box that your system does not meet the minimum requirements 128MB graphic card etc...….
    It's OK. Game was released in 2007 and can't recognize the modern videocard. Fixed in STA. Why don't u install a free version STA1.2?

    This is despite trying to run it on a fair good spec laptop  - i7 7700 (2.8ghz), 16mb ram, 8mb Nvidia 1070,  running windows 10.
    Your rig is quite impressive, but for the comfort game u need at least 3Ghz CPU frequency(only one core in use). So, as I've understood u could not run the game or the game run, but u're not satisfied with a videocard settings?
    My advice - install free STA1.2 version or Japan version and see, coz a stock game a very often doesn't run on the modern hardware Exclamation
    avatar
    frinik
    TSF Member-Golden Feather
    TSF Member-Golden Feather

    Posts : 1482
    Join date : 2014-07-27
    Age : 62
    Location : Bogota-Colombia

    Re: Sorry ..... Help Required Please

    Post by frinik on Sun May 20, 2018 12:53 pm

    I have a Predator laptop with i7 7700HQ, 32 gbs a ddr4 RAM and a GTX 1080 (not the MAX HQ one the desktop equivalent one)with 8 gbs gddr5 and I get the same message. Just disregard it. It won't impact your performance and you can play the game with all bells and whistles .I have 6 installations of SF including 1.2, 3.3 and 2.3 and all work outstandingly. As Lockie said the game engine does not recognize the modern gpu architecture. It can't read your gpu's VRAM accurately so it gives you the low video memory message. But your laptop or desktop will perform based on your specs not what on the game tells you. The last of my gpu it recognized was an ATI HD5670 3 years ago.


    Last edited by frinik on Sat May 26, 2018 12:42 pm; edited 1 time in total

    th006b1541

    Posts : 5
    Join date : 2018-05-14

    Re: Sorry ..... Help Required Please

    Post by th006b1541 on Mon May 21, 2018 7:43 pm

    Thanks.....just need to find where to download 1.2 to give it a ago.... before jumping up to 3.3

    kenjis0308

    Posts : 6
    Join date : 2018-04-22
    Age : 49
    Location : Tokyo

    Re: Sorry ..... Help Required Please

    Post by kenjis0308 on Thu May 24, 2018 6:10 am

    This is despite trying to run it on a fair good spec laptop  - i7 7700 (2.8ghz), 16mb ram, 8mb Nvidia 1070,  running windows 10.

    I have an Alienware 15 R2 with Core i7 6700HQ@2.6GHZ, 16GB and GTX980 via Graphic Amplifier.
    Except the loading time, the game runs really well but maybe perfoms much better with higher
    frequency since it really depends on the perfomance of single core.

    Good luck and enjoy the SF mod !

    th006b1541

    Posts : 5
    Join date : 2018-05-14

    Many Thanks All

    Post by th006b1541 on Sat May 26, 2018 8:28 am

    Thanks everyone for your assistance....I have tested 1.2 and been so impressed that I have purchased 3.3 and all of the add ons !!!!!
    happy
    Superb modification to the game …… Laughing

    Sponsored content

    Re: Sorry ..... Help Required Please

    Post by Sponsored content


      Current date/time is Tue Sep 25, 2018 12:47 am